[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TFormatOptions

Set of TFormatOption options.

## Declaration

Source position: fpjson.pp line 40

`type TFormatOptions = set of (`
`foSingleLineArray,` |  | Keep all array elements on a lingle line.
`foSingleLineObject,` |  | Keep all object elements on a single line.
`foDoNotQuoteMembers,` |  | Do not use quote characters around object member names.
`foUseTabchar` |  | Use the tabulator character for indents
`);`

## Description

TFormatOptions is the set definition used to specify options in TJSONData.FormatJSON.

## See also

TJSONData.FormatJSON |  | Return a formatted JSON representation of the data.
TFormatOption |  | Formatting options for FormatJSON

Documentation generated on: Feb 26 2014